<?php

use Behat\MinkExtension\Context\MinkContext;

class FeatureContext extends MinkContext
{
    /**
     * Initializes context.
     *
     * Every scenario gets its own context instance.
     * You can also pass arbitrary arguments to the
     * context constructor through behat.yml.
     */
    public function __construct()
    {
    }
    
    
	/**
	 * @AfterStep
	 */
	public function takeScreenShotAfterFailedStep(afterStepScope $scope) {
		if (99 === $scope->getTestResult()->getResultCode()) {
			$screenshotData = $this->getSession()->getDriver()->getScreenshot();
			if (!is_dir('./screens')) {
				mkdir('./screens');
			}
			file_put_contents('./screens/test_'.time().'.png', $screenshotData);
		}
	}
}
